# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   ApiTest
# FileName:      test_bpm.py
# Author:       liu
# Datetime:     2024/9/7 下午5:05
# Description: 测试用例
# ---------------------------------------------------------------------------
import pytest

from common.read_excel import Read_excel
from report import log
from test_case.test_demo import username

excel = Read_excel(username)


class TestBPM:
    @pytest.mark.parametrize("case_id, module_name, api_name, title, level, req_method, url, req_type, case_data, except_data, sql_type, sql_data, update_key", excel.get_data())
    def test_bpm(self, fix_db, fix_req, case_id, module_name, api_name, title, level, req_method, url, req_type,
                 case_data, except_data, sql_type, sql_data, update_key):
        if sql_type == 'delete':
            fix_db.delete(sql_data)
        elif sql_type == 'select':
            select_result = fix_db.select(sql_data)
            # 更新数据
            case_data[update_key] = select_result
        # 请求
        res = fix_req.request_all(url=url, req_method=req_method, req_type=req_type, case_data=case_data)

        # 断言
        try:
            for key in except_data.keys():
                assert except_data[key] == res.json()[key]
        except AssertionError:
            log.error(f'断言失败，接口url：{url}，用例数据：{case_data}，期望数据：{except_data}，服务器返回数据：{res.text}')
            raise AssertionError('断言失败')
        else:
            log.info(f'断言成功，接口url：{url}，用例数据：{case_data}，期望数据：{except_data}，服务器返回数据：{res.text}')
